This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 796103 - Remove JON 2.4 menu from content sources page on JON 3.x
Remove JON 2.4 menu from content sources page on JON 3.x
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
Unspecified Linux
low Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 05:22 EST by Jeeva Kandasamy
Modified: 2012-02-22 10:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
JON 2.4 menu items (289.74 KB, image/jpeg)
2012-02-22 05:22 EST, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2012-02-22 05:22:41 EST
Created attachment 564905 [details]
JON 2.4 menu items

Description of problem:
We are using some of JON 2.4 JSP pages on JON 3.x. As we have GWT menu frame in 3.x and not using JON 2.4 menu frame. However on the 'Content Resources' still we have JON 2.4 menu items. It's not visible on direct way, but we can see it on the following steps,

Version-Release number of selected component (if applicable):
Version: 3.0.1.GA
Build Number: dd8a001:fbca611

GWT Version: 2.0.4
SmartGWT Version: 2.4

How reproducible:
100%

Steps to Reproduce:
1.Logon to JON GUI as rhqadmin
2.Navigate to 'Administration--> Repositories'
3.Click on available repository (Example: JBoss Patches)
4.Click on any 'Content Sources Associated with This Repository'(Example: JBoss CP Patch Feed)
5.can see JON 2.4 menu (Screen shot is attached)

Actual results:
JON 2.4 Menu items are visible

Expected results:
Should hide JON 2.4 menus as we have JON 3.x GWT menu

Additional info: Screen shot is attached
Comment 1 Mike Foley 2012-02-22 10:32:14 EST
triage 2/12/2012 ccrouch, stefan_n, mfoley

Note You need to log in before you can comment on or make changes to this bug.